unit ModNumU;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, MathEdit, Grids, ExtCtrls;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    Gitter: TStringGrid;
    IntEdit1: TIntEdit;
    Label1: TLabel;
    Button1: TButton;
    procedure IntEdit1Exit(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private-Deklarationen }
    Modul : Integer;
    function verknuepfe(x, y : Integer): Integer;
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.IntEdit1Exit(Sender: TObject);
  var i : Integer;
  begin
  Modul := IntEdit1.Value;
  If Modul < 1 then begin
    Modul := 1;
    IntEdit1.Value := 1;
    end;
  Gitter.RowCount := Succ(Modul);
  Gitter.ColCount := Succ(Modul);
  For i := 1 to Modul do begin
    Gitter.Cells[0, i] := IntToStr(Pred(i));
    Gitter.Cells[i, 0] := IntToStr(Pred(i));
    end;
  end;

function TForm1.verknuepfe(x, y : Integer): Integer;
  begin
  Result := (x*y) Mod Modul;
  end;

procedure TForm1.Button1Click(Sender: TObject);
  var x, y, r : Integer;
  begin
  For x := 0 to Pred(Modul) do
    For y := 0 to Pred(Modul) do begin
      r  := verknuepfe(x, y);
      Gitter.Cells[Succ(x), Succ(y)] := IntToStr(r);
      end;
  end;

end.
